#pragma once
#include "EntityState.h"
extern const int CS_KingSTATENAME_LIFEUP;
class CS_KingLifeUp :
    public EntitySkillState
{
public:
    CS_KingLifeUp();
    const wchar_t* GetSaveName() override;
    const wchar_t* GetFuncName() override;
    const wchar_t* GetCheckFuncName() override;
    void State() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    int ani_counter = 0;
    int recover_counter = 0;
    int recover_counter_max = 0;
    static bool LifeRecover_Leave(std::weak_ptr<Entity> e);
};

